export default {
    type: {
        NORMAL: 1,
        WORKER_PRICE: 2,
        CUSTOM_PRICE: 3,
    },
    state: {
        ORDER_CLOSE: -2,
        NO_PAY: -1,
        NO_PRICE: 0,
        NO_SELECT_WORKER: 1,
        NO_SERVICE: 2,
        NO_APPRAISE: 3,
        ALL_FINISH: 4,
    },
    getOrderStateTextColor(state) {
        switch (state) {
            case this.state.NO_PAY:
                return '#000000';
            case this.state.NO_PRICE:
                return '#000000';
            case this.state.NO_SELECT_WORKER:
                return '#000000';
            case this.state.NO_SERVICE:
                return '#000000';
            default:
                return '#ff0000';
        }
    },
    getOrderStateText(state) {
        switch (state) {
            case this.state.NO_PAY:
                return '待支付';
            case this.state.NO_PRICE:
                return '等待师傅报价';
            case this.state.NO_SELECT_WORKER:
                return '等待您选择师傅';
            case this.state.NO_SERVICE:
                return '等待师傅上门';
            default:
                return '未知状态';
        }
    }
}
